<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="demo_compiler">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>demo_compiler</refname>
    <refpurpose> teste la présence d'un compilateur </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>status = demo_compiler()</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Description</title>
    <para>
			La fonction demo_compiler interroge l'ordinateur pour savoir s'il possède un 
			compilateur C. Elle renvoie un booléen corresdondant à la présence ou non du
			compilateur.
		</para>
  </refsection>
  <refsection>
    <title>Exemples</title>
    <programlisting role="example"><![CDATA[ 
select num,
 case 0
  return;
 case 2 then 
  st = demo_compiler(); //The compiler will be used
  if (st==%t) then
    mode(0);
    wheel_build_and_load()
  end
 case 1 then // A precomputed value
    x=read(path+'/x.wrt',8,301);
    wheelg=wheelgs;
    show(x);
end
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>Voir Aussi</title>
    <simplelist type="inline">
      <member>
        <link linkend="findmsvccompiler">findmsvccompiler</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Auteurs</title>
    <simplelist type="vert">
      <member>G.H</member>
    </simplelist>
  </refsection>
</refentry>
